<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="card">
        <div class="text-center">
          <h1>login</h1>
          <h5>please enter your email & password!!!!!</h5>
        </div>
        <form [formGroup]="loginForm" (submit)="onLogin()">
          <div class="mb-3">
            <label for="exampleInputEmail1" class="form-label"
              >Email address</label
            >
            <input
              type="email"
              class="form-control"
              formControlName="email"
              aria-describedby="emailHelp"
            />
            <div id="emailHelp" class="form-text">
              We'll never share your email with anyone else.
            </div>
            <span
              *ngIf="
                loginForm.controls['email'].errors &&
                loginForm.controls['email'].hasError('required')
              "
            >
              email is required
            </span>
            <span
              class="text-danger"
              *ngIf="
                loginForm.controls['email'].errors &&
                loginForm.controls['email'].hasError('email')
              "
            >
              please enter a valid email
            </span>
          </div>
          <div class="mb-3">
            <label for="exampleInputPassword1" class="form-label"
              >Password</label
            >
            <input
              type="password"
              class="form-control"
              formControlName="password"
            />
            <span
              *ngIf="
                loginForm.controls['password'].errors &&
                loginForm.controls['password'].hasError('required')
              "
            >
              email is required
            </span>
            <span
              class="text-danger"
              *ngIf="
                loginForm.controls['password'].errors &&
                loginForm.controls['password'].hasError('minlength')
              "
            >
              minimum length of 4 is required
            </span>
          </div>
          <button
            type="submit"
            class="btn btn-primary"
            [disabled]="!loginForm.valid"
          >
            Login
          </button>
        </form>
        <div class="anc">
          <a routerLink="/sign-up">New User? click here to signup</a>
        </div>
      </div>
    </div>
  </div>
</div>
